Subject: [Fwd: Re: RE: Is PWE a layer?]

From: Luca Martini <[email-masked]>
Date: Mon, 09 Jun 2003 12:46:42 -0600

-------- Original Message --------
Subject: Re: [PWE3] RE: Is PWE a layer?
Date: Mon, 09 Jun 2003 12:45:53 -0600
From: Luca Martini <[email-masked]>
Organization: Level3 Communications LLC.
To: "Busschbach, Peter B (Peter)" <[email-masked]>
References: <[email-masked]>

 > Luca,
 >
 > Do you carry Frame Relay and ATM over your MPLS network? I can see that Ping 
is sufficient for VPLS and VPWS, but I know carriers who are offering

 > Frame Relay service today and who want to extend those across an MPLS core, 
who need OAM functions similar to what they get today from an ATM core network.
 >
 > The problem with regular (bi-directional) Ping is that it is a poor 
mechanism to localize failures. If a PE doesn't receive a reply, it doesn't know

 > whether the forward or backward PW is down. In fact, it could even be that 
neither the forward nor backward PW is down, but that there is a problem in the

 > control plane. Uni-directional Ping would solve that problem.
 >
 > Peter
 >
 >
Yes, we carry both frame, and ATM, and we already have operational experience
with failures ( even very strange ones ) in the MPLS network.
In general ping is the first step, if it fails , then s traceroute along the
MPLS LSP works very well to find out where the failure is. This is
unidirectional debugging, and seems to work quite well today.

Luca